import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';


//primary color ligt mode
const Color primaryColorligtmode = Color(0xff161616);
// DARK MODE COLOR
// Kuning
const Color primaryColor = Color(0xffFFAF01);
const Color primaryColordua = Color(0xff25D366);
// Abu
const Color secondaryColor = Color(0xffBFBFBF);
// Cream
const Color thirdColor = Color(0xffECE5DD);
// Abu Gelap
const Color fourthColor = Color(0xff616161);
// Kuning 2
const Color fiveColor = Color(0xffFED27C);
// Label
const Color sixColor = Color(0xffECEB98);
// Warning
const Color sevenColor = Color(0xffFF502f);
// Success
const Color eightColor = Color(0xff25D366);
// Hitam
const Color ninthColor = Color(0xff404040);
// Putih
const Color tenthColor = Color(0xffF4F4F4);
//Abu Terang Banget
const Color elveColor = Color(0xffDDE5E9);
// Navy
const Color twelveColor = Color(0xff000417);
// Kuning 3
const Color thirteenColor = Color(0xffEDA923);
// Background
const Color fourteenColor = Color(0xff212121);
// Abu 2
const Color fifteenColor = Color(0xff4A4D60);
// Background
const Color sixteenColor = Color(0xffF8F8F8);
// Abu text field
const Color seventeenColor = Color(0xff212643);
// text putih
const Color baruTextutih = Color(0xffFFFFFF);

const Color backgroundColor = Color(0xff181818);
//text #1C1C1C
const Color baruTexthitam = Color(0xff1C1C1C);
//bg textformfield Login

TextStyle primaryTextStyle = GoogleFonts.notoSans();
TextStyle secondaryTextStyle = GoogleFonts.openSans();
TextStyle thirdTextStyle = GoogleFonts.poppins();

const FontWeight light = FontWeight.w300;
const FontWeight reguler = FontWeight.w400;
const FontWeight medium = FontWeight.w500;
const FontWeight semiBold = FontWeight.w600;
const FontWeight bold = FontWeight.w700;

class ThemeClass {
  static ThemeData lightmode = ThemeData(
    brightness: Brightness.light,
    colorScheme: ColorScheme.light(
      primary: primaryColor,
      secondary: fourteenColor,
      background: sixteenColor,
      primaryContainer: baruTextutih,
      onPrimary: seventeenColor,
      onBackground: baruTexthitam,
    ),
  );
  static ThemeData darkmode = ThemeData(
    brightness: Brightness.dark,
    colorScheme: ColorScheme.dark(
      primary: primaryColordua,
      secondary: fifteenColor,
      background: twelveColor,
      primaryContainer: seventeenColor,
      onPrimary: baruTextutih,
      onBackground: baruTextutih,
    ),
  );
}

ThemeClass _themeClass = ThemeClass();
